﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinTree;

namespace WinTreeTabNavigation
{
    public partial class Form1 : Form
    {
        public DataSet GenerateDataSet()
        {
            DataTable table0 = new DataTable("Treatment Fluu");
            table0.Columns.Add("ID", typeof(int));
            table0.Columns.Add("Dosage", typeof(int));
            table0.Columns.Add("Drug", typeof(string));
            table0.Columns.Add("Patient", typeof(string));
            table0.Columns.Add("Date", typeof(DateTime));

            table0.Rows.Add(1, 25, "Indocin", "David", DateTime.Now);
            table0.Rows.Add(2, 50, "Enebrel", "Sam", DateTime.Now);
            table0.Rows.Add(3, 10, "Hydralazine", "Christoff", DateTime.Now);
            table0.Rows.Add(4, 21, "Combivent", "Janet", DateTime.Now);
            table0.Rows.Add(5, 100, "Dilantin", "Melanie", DateTime.Now);

            DataSet RetDataSet = new DataSet();
            RetDataSet.Tables.Add(table0);


            return RetDataSet;

        }
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraTree1.DataSource = GenerateDataSet();
            ultraTree1.ExpandAll();
            ultraTree1.Override.ShowExpansionIndicator = ShowExpansionIndicator.CheckOnDisplay;
            this.ultraTree1.ColumnSettings.AllowCellEdit = AllowCellEdit.Full;
            this.ultraTree1.Override.CellClickAction = CellClickAction.EditCell;
            ultraTree1.ColumnSettings.TabNavigation = Infragistics.Win.UltraWinTree.TabNavigation.NextCell;
           

        }

        private void ultraTree1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Enter)
            {
               // ultraTree1.PerformAction(UltraTreeAction.ExitEditMode, false, false);
                ultraTree1.PerformAction(UltraTreeAction.NextCellEnterEditMode , false, false);
            }
        }

        private void ultraTree1_KeyUp(object sender, KeyEventArgs e)
        {
            
        }
    }
}
